| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Enumerations | Functions | Variables
isf_sysconf_comms.c File Reference

System Communications channel configuration. More...

`#include <isf_user_config.h>`
`#include <isf_sysconf_types.h>`
`#include <isf_sysconf_comms.h>`
`#include "mutex.h"`
`#include "isf_i2c_master_types.h"`
`#include "isf_uart_types.h"`
`#include "isf_spi_master_types.h"`
Include dependency graph for isf_sysconf_comms.c:

Go to the source code of this file.

## Enumerations
enum | { I2C_BUS_0 = 0, I2C_NUM_BUS }
enum | { UART_BUS_0 = 0, UART_NUM_BUS }
enum | { SPI_BUS_0 = 0, SPI_NUM_BUS }

## Functions
uint32 | get_ci_comm (void)

## Variables
const i2c_Master_BusConfig_t | gSys_I2cBusConfig []
const uint8 | gSys_NumI2cBuses = I2C_NUM_BUS
i2c_Master_busHandle_t | i2c_master_busHandle [I2C_NUM_BUS]
MUTEX_STRUCT | i2c_Master_mutexHandler [I2C_NUM_BUS]
const uart_BusConfig_t | gSys_UartBusConfig []
const uint8 | gSys_NumUARTBuses = UART_NUM_BUS
uart_busHandle_t | uart_busHandle [UART_NUM_BUS]
MUTEX_STRUCT | uart_lock [UART_NUM_BUS]
MUTEX_STRUCT | uart_rdlock [UART_NUM_BUS]
const spi_master_busConfig_t | gSys_SpiMasterBusConfig []
const uint8 | gSys_NumSpiBuses = SPI_NUM_BUS
spi_master_busHandle_t | spi_master_busHandle [SPI_NUM_BUS]
MUTEX_STRUCT | spi_master_lock [SPI_NUM_BUS]
MUTEX_STRUCT | spi_master_rdlock [SPI_NUM_BUS]
const sys_channelDescriptor_t | gSys_ConfiguredChannelList []
const uint8 | gSys_NumChannels = sizeof(gSys_ConfiguredChannelList)/sizeof(sys_channelDescriptor_t)

## Detailed Description

System Communications channel configuration.

Version
  0.0

Date
  2012-08-01

Copyright (c) 2012, Freescale, Inc.

Definition in file isf_sysconf_comms.c.

## Enumeration Type Documentation

anonymous enum

Enumerator
I2C_BUS_0 |
I2C_NUM_BUS |

Definition at line 19 of file isf_sysconf_comms.c.

anonymous enum

Enumerator
UART_BUS_0 |
UART_NUM_BUS |

Definition at line 47 of file isf_sysconf_comms.c.

anonymous enum

Enumerator
SPI_BUS_0 |
SPI_NUM_BUS |

Definition at line 80 of file isf_sysconf_comms.c.

## Function Documentation

uint32 get_ci_comm | ( | void |  | ) |

Definition at line 128 of file isf_sysconf_comms.c.

References COMM_CHANNEL_UART_CH1.

Referenced by ci_init().

Here is the caller graph for this function:

## Variable Documentation

const sys_channelDescriptor_t gSys_ConfiguredChannelList[]

Initial value:
= {
{
.protocolType = PROTOCOL_TYPE_I2C,
.protocolInstanceId = I2C_BUS_0,
.pConfig = &gSys_I2cBusConfig[I2C_BUS_0]
},
{
.protocolType = PROTOCOL_TYPE_UART,
.protocolInstanceId = UART_BUS_0,
.pConfig = &gSys_UartBusConfig[UART_BUS_0]
},
{
.protocolType = PROTOCOL_TYPE_SPI,
.protocolInstanceId = SPI_BUS_0,
.pConfig = &gSys_SpiMasterBusConfig[SPI_BUS_0]
},
}
PROTOCOL_TYPE_UART
Definition: isf_sysconf_types.h:25
UART_BUS_0
Definition: isf_sysconf_comms.c:48
SPI_BUS_0
Definition: isf_sysconf_comms.c:81
PROTOCOL_TYPE_I2C
Definition: isf_sysconf_types.h:24
PROTOCOL_TYPE_SPI
Definition: isf_sysconf_types.h:26
gSys_SpiMasterBusConfig
const spi_master_busConfig_t gSys_SpiMasterBusConfig[]
Definition: isf_sysconf_comms.c:86
gSys_UartBusConfig
const uart_BusConfig_t gSys_UartBusConfig[]
Definition: isf_sysconf_comms.c:53
gSys_I2cBusConfig
const i2c_Master_BusConfig_t gSys_I2cBusConfig[]
Definition: isf_sysconf_comms.c:26
I2C_BUS_0
Definition: isf_sysconf_comms.c:20

Definition at line 105 of file isf_sysconf_comms.c.

const i2c_Master_BusConfig_t gSys_I2cBusConfig[]

Initial value:
= {
{
.timeout = 1000,
.defaultSpeed = 400,
}
}

Definition at line 26 of file isf_sysconf_comms.c.

const uint8 gSys_NumChannels = sizeof(gSys_ConfiguredChannelList)/sizeof(sys_channelDescriptor_t)

Definition at line 133 of file isf_sysconf_comms.c.

Referenced by dm_channel_init().

const uint8 gSys_NumI2cBuses = I2C_NUM_BUS

Definition at line 34 of file isf_sysconf_comms.c.

Referenced by i2c_master_adapter_init(), i2c_master_init(), i2c_master_shutdown(), and i2c_master_transfer().

const uint8 gSys_NumSpiBuses = SPI_NUM_BUS

Definition at line 96 of file isf_sysconf_comms.c.

Referenced by spi_master_adapter_init(), spi_master_init(), and spi_master_transfer().

const uint8 gSys_NumUARTBuses = UART_NUM_BUS

Definition at line 63 of file isf_sysconf_comms.c.

Referenced by uart_adapter_init(), uart_hal_disable_receiver(), uart_hal_disable_transmitter(), uart_hal_enable_receiver(), uart_hal_enable_transmitter(), uart_hal_init(), uart_init(), uart_receive_data(), uart_receive_data_async(), uart_send_data(), and uart_send_data_async().

const spi_master_busConfig_t gSys_SpiMasterBusConfig[]

Initial value:
= {
{
.timeout = 0,
.config.busFrequencyKHz = 500,
.config.polarity = kSpiClockPolarity_ActiveHigh,
.config.phase = kSpiClockPhase_FirstEdge,
.config.direction = kSpiMsbFirst,
}
}
kSpiClockPhase_FirstEdge
Definition: fsl_spi_hal.h:57
kSpiClockPolarity_ActiveHigh
Definition: fsl_spi_hal.h:51
kSpiMsbFirst
Definition: fsl_spi_hal.h:63

Definition at line 86 of file isf_sysconf_comms.c.

const uart_BusConfig_t gSys_UartBusConfig[]

Initial value:
= {
{
.timeout = 0,
.config.baudRate = 115200,
.config.parityMode = kUartParityDisabled,
.config.stopBitCount = kUartOneStopBit,
.config.bitCountPerChar = kUart8BitsPerChar,
}
}
kUartParityDisabled
Definition: fsl_uart_hal.h:62
kUartOneStopBit
Definition: fsl_uart_hal.h:52
kUart8BitsPerChar
Definition: fsl_uart_hal.h:75

Definition at line 53 of file isf_sysconf_comms.c.

i2c_Master_busHandle_t i2c_master_busHandle[I2C_NUM_BUS]

Definition at line 36 of file isf_sysconf_comms.c.

MUTEX_STRUCT i2c_Master_mutexHandler[I2C_NUM_BUS]

Definition at line 37 of file isf_sysconf_comms.c.

Referenced by i2c_master_adapter_init().

spi_master_busHandle_t spi_master_busHandle[SPI_NUM_BUS]

Definition at line 97 of file isf_sysconf_comms.c.

MUTEX_STRUCT spi_master_lock[SPI_NUM_BUS]

Definition at line 98 of file isf_sysconf_comms.c.

Referenced by spi_master_adapter_init().

MUTEX_STRUCT spi_master_rdlock[SPI_NUM_BUS]

Definition at line 99 of file isf_sysconf_comms.c.

Referenced by spi_master_adapter_init().

uart_busHandle_t uart_busHandle[UART_NUM_BUS]

Definition at line 64 of file isf_sysconf_comms.c.

MUTEX_STRUCT uart_lock[UART_NUM_BUS]

Definition at line 65 of file isf_sysconf_comms.c.

Referenced by uart_adapter_init().

MUTEX_STRUCT uart_rdlock[UART_NUM_BUS]

Definition at line 66 of file isf_sysconf_comms.c.

Referenced by uart_adapter_init().

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.